Skip to main content
POST
/
v1
/
devices
/
pv
/
schedule
Post Pv Control Schedule
curl --request POST \
  --url https://api.nox.energy/v1/devices/pv/schedule \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "device_id": "PV123456",
  "start_time": "2025-08-05T10:15:00Z",
  "end_time": "2025-08-05T10:20:00Z"
}
'
{
  "status": "success",
  "message": "Steering schedule accepted for PV123456",
  "meta": {
    "schedule_granularity": "1min",
    "energy_supplier": "Energy Supplier A",
    "timezone": "UTC"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nox.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Body

application/json

The body is of type Request Body · object.

Response

Schedule submitted successfully